%global date 20230331
%global commit e8573feaad506f5f41227d8abd905312426607c1
%global shortcommit %(c=%{commit}; echo ${c:0:7})

Name:           pil-squasher
Version:        0^%{date}git%{shortcommit}
Release:        %autorelease
Summary:        Convert split mdt + b%02d files into mbn file 

License:        BSD-3-Clause
URL:            https://github.com/andersson/pil-squasher

Source:         %{url}/archive/%{commit}/%{name}-%{commit}.tar.gz
# https://github.com/andersson/pil-squasher/issues/6
Source:         LICENSE

BuildRequires:  gcc
BuildRequires:  make

%description
pil-squasher takes a split firmware image (mdt + bXX files) and squash them
into a single mbn firmware image, preserving signature et al.

%prep
%autosetup -p1 -n %{name}-%{commit}
cp -p %SOURCE1 .

%build
%make_build prefix="%{_prefix}"

%install
%make_install prefix="%{_prefix}"

%files
%license LICENSE
%doc README.md
%{_bindir}/%{name}

%changelog
%autochangelog
